Subject: bug#57604: [ef]grep usage -> POSIXLY_CORRECT?

From: Jim Meyering <[email-masked]>
Date: Fri, 16 Sep 2022 10:12:44 -0700

On Fri, Sep 16, 2022 at 8:12 AM Simon Josefsson <[email-masked]> wrote:
> Jim Meyering <[email-masked]> writes:
>
> > This would be an envvar for which we do not commit to any level of
> > support in future releases.
>
> Would the envvar be documented?  Would it be a deprecated feature, with
> a removal plan?  It seems we traded removing [ef]grep into introducing
> new unsupported features which feels a bit unsatisfying...
>
> How about saying that the envvar, together with all remaining traces of
> [ef]grep references will be removed in 2025?
>
> The point with the excercise was (at least to me) to remove complexity,
> but it seems we will have to wait some more until that can happen.

Hi Simon,
I agree that adding temporary complexity (and then
documenting/announcing it) to aid in the transition feels wrong.
I'm still not sure, but if we were to add such things, they would most
definitely come with a planned removal date, likely before 2025.